Reports
Pin a report dashboard tile
Tiles and preferences belong to the current staff member within the organization. Writes and metric preview require report-management permission and access to the source report. Only metrics eligible for that report can be pinned or calculated.
POST
/
admin
/
dashboard
/
tiles
Pin a report dashboard tile
curl --request POST \
--url https://api.gratona.com/v1/admin/dashboard/tiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reportId": 1,
"metric": "count",
"timeframe": "this_week"
}
'import requests
url = "https://api.gratona.com/v1/admin/dashboard/tiles"
payload = {
"reportId": 1,
"metric": "count",
"timeframe": "this_week"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reportId: 1, metric: 'count', timeframe: 'this_week'})
};
fetch('https://api.gratona.com/v1/admin/dashboard/tiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/dashboard/tiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reportId' => 1,
'metric' => 'count',
'timeframe' => 'this_week'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/dashboard/tiles"
payload := strings.NewReader("{\n \"reportId\": 1,\n \"metric\": \"count\",\n \"timeframe\": \"this_week\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/dashboard/tiles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reportId\": 1,\n \"metric\": \"count\",\n \"timeframe\": \"this_week\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/dashboard/tiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reportId\": 1,\n \"metric\": \"count\",\n \"timeframe\": \"this_week\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Saved successfully.",
"data": {
"id": 123,
"reportId": 123,
"metric": "<string>",
"timeframe": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"report": {
"id": 123,
"source": "<string>",
"type": "<string>",
"type_label": "<string>",
"name": "<string>",
"search_query": "<string>",
"snapshot": true,
"starred": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"module": {
"id": 123,
"key": "<string>",
"label": "<string>"
},
"context": {
"id": "<string>",
"label": "<string>",
"available": true
},
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>",
"op": "<string>"
}
],
"columns": {
"fields": [
"<string>"
],
"order": [
"<string>"
],
"labels": {},
"definitions": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"source": "<string>",
"capabilities": {},
"help": {}
}
]
},
"field_labels": {},
"date_range": {
"preset": "all_time",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"footer_calculations": [
{
"field_key": "<string>",
"operation": "count_empty"
}
],
"sort": {
"key": "<string>",
"order": "<string>"
},
"schedule": {},
"schedule_entitlement": {
"enabled": true,
"locked": true
},
"related": {},
"owner": {
"id": 123
},
"open": {
"path": "<string>",
"query": {}
},
"missing_fields": {},
"actions": {}
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
Request fields accepted by this operation. Omitted optional properties retain the behavior described above.
Validation: required|integer.
Example:
1
Validation: required|string|max:100.
Maximum string length:
100Example:
"count"
Available options:
this_week, this_month, this_quarter, this_year, all_time, null Maximum string length:
32Example:
"this_week"
⌘I
Pin a report dashboard tile
curl --request POST \
--url https://api.gratona.com/v1/admin/dashboard/tiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reportId": 1,
"metric": "count",
"timeframe": "this_week"
}
'import requests
url = "https://api.gratona.com/v1/admin/dashboard/tiles"
payload = {
"reportId": 1,
"metric": "count",
"timeframe": "this_week"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reportId: 1, metric: 'count', timeframe: 'this_week'})
};
fetch('https://api.gratona.com/v1/admin/dashboard/tiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/dashboard/tiles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'reportId' => 1,
'metric' => 'count',
'timeframe' => 'this_week'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/dashboard/tiles"
payload := strings.NewReader("{\n \"reportId\": 1,\n \"metric\": \"count\",\n \"timeframe\": \"this_week\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/dashboard/tiles")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"reportId\": 1,\n \"metric\": \"count\",\n \"timeframe\": \"this_week\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/dashboard/tiles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"reportId\": 1,\n \"metric\": \"count\",\n \"timeframe\": \"this_week\"\n}"
response = http.request(request)
puts response.read_body{
"message": "Saved successfully.",
"data": {
"id": 123,
"reportId": 123,
"metric": "<string>",
"timeframe": "<string>",
"order": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"report": {
"id": 123,
"source": "<string>",
"type": "<string>",
"type_label": "<string>",
"name": "<string>",
"search_query": "<string>",
"snapshot": true,
"starred": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"module": {
"id": 123,
"key": "<string>",
"label": "<string>"
},
"context": {
"id": "<string>",
"label": "<string>",
"available": true
},
"filters": [
{
"field": "<string>",
"operator": "<string>",
"value": "<unknown>",
"op": "<string>"
}
],
"columns": {
"fields": [
"<string>"
],
"order": [
"<string>"
],
"labels": {},
"definitions": [
{
"key": "<string>",
"label": "<string>",
"type": "<string>",
"source": "<string>",
"capabilities": {},
"help": {}
}
]
},
"field_labels": {},
"date_range": {
"preset": "all_time",
"start_date": "2023-12-25",
"end_date": "2023-12-25"
},
"footer_calculations": [
{
"field_key": "<string>",
"operation": "count_empty"
}
],
"sort": {
"key": "<string>",
"order": "<string>"
},
"schedule": {},
"schedule_entitlement": {
"enabled": true,
"locked": true
},
"related": {},
"owner": {
"id": 123
},
"open": {
"path": "<string>",
"query": {}
},
"missing_fields": {},
"actions": {}
}
}
}{
"message": "Unauthorized",
"status": "error"
}{
"message": "Something went wrong. Please try again.",
"status": "error",
"error": "invalid_request",
"code": "DONOR_NOT_FOUND"
}{
"message": "Not Found",
"status": "error"
}{
"errors": {},
"status": "error",
"message": "The given data was invalid."
}